{ lib, config, inputs, pkgs, ... }:
let
  cfg = config.my.rgb;
in
{
  config = lib.mkIf cfg.enable {
    services.hardware.openrgb = {
      enable = true;
    };
    environment.systemPackages = [
      inputs.artemisrgb.packages.${pkgs.stdenv.hostPlatform.system}.default
    ];
  };
}